﻿    
    function Nonce_NonceOptions_OnLoad(panel)
        this:RegisterEvent("ADDON_LOADED");
        panel.name = "Nonce";
        panel.okay = function (self) Nonce_NonceOptions_Okay(); end;
        panel.cancel = function (self)  Nonce_NonceOptions_Cancel();  end;
        InterfaceOptions_AddCategory(panel);
        --fNonce = CreateFrame("Frame", "NonceFrame");
        --fNonce:SetScript("OnLoad", Nonce_OnLoad);
        
        NonceIndicator = CreateFrame("Frame", "NonceIndicatorFrame")
        NonceIndicator:SetScript("OnEvent", Nonce_OnEvent);
        NonceIndicator:RegisterEvent("UNIT_SPELLCAST_SUCCEEDED");
		NonceIndicator:SetToplevel(false)
		NonceIndicator:SetFrameStrata("BACKGROUND")
		NonceIndicator:SetAllPoints(UIParent)
		NonceIndicator:EnableMouse(false)
		NonceIndicator.texture = NonceIndicator:CreateTexture(nil, "BACKGROUND")
 
		NonceIndicator.texture:SetAllPoints(UIParent)
		NonceIndicator.texture:SetBlendMode("ADD")
        --flasher.texture:SetTexture("Interface\\AddOns\\Nonce\\Textures\\frostedge.tga")
		NonceIndicator:SetAlpha(1)
        
        
    end

    
    function Nonce_NonceOptions_OnEvent()
        if(event=="ADDON_LOADED" and arg1=="Nonce") then
            if NONCE_CONFIG == nil then
            NONCE_CONFIG = {"None", "Texture", "Texture", .3, .3, .3}
            end
        Nonce_bloodComboText:SetText(NONCE_CONFIG[1]);
        Nonce_frostComboText:SetText(NONCE_CONFIG[2]);
        Nonce_unholyComboText:SetText(NONCE_CONFIG[3]);
        Nonce_bloodOpacitySlider:SetValue(NONCE_CONFIG[4]);
        Nonce_frostOpacitySlider:SetValue(NONCE_CONFIG[5]);
        Nonce_unholyOpacitySlider:SetValue(NONCE_CONFIG[6]);
        Nonce_SetGraphic();
         end
    end
    
    function Nonce_NonceOptions_Okay()
    NONCE_CONFIG = {Nonce_bloodComboText:GetText(), Nonce_frostComboText:GetText(), Nonce_unholyComboText:GetText(), Nonce_bloodOpacitySlider:GetValue(), Nonce_frostOpacitySlider:GetValue(), Nonce_unholyOpacitySlider:GetValue()}
    Nonce_SetGraphic();
    end
    
    function Nonce_NonceOptions_Cancel()
    end